# HOTSPOTTER

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
COORDINATES
SEE ALSO
REFERENCES

## NAME

hotspotter − Create CVA image from seamount flowlines

## SYNOPSIS

hotspotter [infile(s)] −E stage_file −G CVAgrid −I xinc[unit][=|+][/yinc[unit][=|+]] −R west/east/south/north[r] [ −C ] [ −D factor ] [ −F ] [ −H[i][nrec] ] [ −N upper_age ] [ −S ] [ −T ] [ −V ] [ −:[i|o] ] [ −bi[s|S|d|D[ncol]|c[var1/...]] ]

## DESCRIPTION

hotspotter reads (longitude, latitude, amplitude, radius, age) records from infiles [or standard input] and calculates flowlines using the specified stage pole (Euler) rotations. These flowlines are convolved with the shape of the seamount (using a Gaussian shape given amplitude and radius = 6 sigma) and added up to give a Cumulative Volcano Amplitude grid (CVA). See option −: on how to read (latitude,longitude,...) files.

|  | No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

infile(s)

Data file(s) to be processed. If not given, standard input is read.

| −E |  | Give file with rotation parameters. This file must contain one record for each rotation; each record must be of the following format:

lon lat tstart [tstop] angle [ khat a b c d e f g df ]

where tstart and tstop are in Myr and lon lat angle are in degrees. tstart and tstop are the ages of the old and young ends of a stage. If −C is set then a total reconstruction rotation is expected and tstop is implicitly set to 0 and should not be specified in the file. If a covariance matrix C for the rotation is available it must be specified in a format using the nine optional terms listed in brackets. Here, C = (g/khat)*[ a b d; b c e; d e f ] which shows C made up of three row vectors. If the degrees of freedom (df) in fitting the rotation is 0 or not given it is set to 10000. Blank lines and records whose first column contains # will be ignored.

| −G |  | Specify name for output grid file.

−I

x_inc [and optionally y_inc] is the grid spacing. Optionally, append a suffix modifier. Geographical (degrees) coordinates: Append m to indicate arc minutes or c to indicate arc seconds. If one of the units e, k, i, or n is appended instead, the increment is assumed to be given in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. All coordinates: If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied integer argument; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel-registered grid; see Appendix B for details. Note: if −R grdfile is used then grid spacing has already been initialized; use −I to override the values.

−R

west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands −Rg and −Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the −R settings (and grid spacing, if applicable) are copied from the grid.

## OPTIONS

| −C |  | Expect Total Reconstruction Rotations rather than Forward Stage Rotations [Default]. File format is similar to the stage pole format except that the tstart column is not present (assumed to be 0 Ma).
| −D |  | Modify the sampling interval along flowlines. Default [0.5] gives approximately 2 points within each grid box. Smaller factors gives higher resolutions at the expense of longer processing time.
| −F |  | Force pixel registration [Default is grid registration].
| −H |  | Input file(s) has header record(s). If used, the default number of header records is N_HEADER_RECS. Use −Hi if only input data should have header records [Default will write out header records if the input data have them]. Blank lines and lines starting with # are always skipped.
| −N |  | Set the upper age to assign seamounts whose crustal age is unknown (i.e., NaN) [no upper age].
| −S |  | Normalize the resulting CVA grid to percentages of the CVA maximum.
| −T |  | Truncate seamount ages exceeding the upper age set with −N [no truncation].
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −: |  | Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].
| −bi |  | Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of columns in your binary input file if it exceeds the columns needed by the program. Or append c if the input file is netCDF. Optionally, append var1/var2/... to specify the variables to be read. [Default is 5 input columns].

## EXAMPLES

To create a CVA image from the Pacific (x,y,z,r,t) data in the file seamounts.d, using the DC85.d Euler poles, run

hotspotter seamounts.d −E DC85.d −G CVA.grd −R 130/260/-66/60 −I 10m −N 145 −T −V

This file can then be plotted with grdimage.

## COORDINATES

Data coordinates are assumed to be geodetic and will automatically be converted to geocentric before spherical rotations are performed. We convert back to geodetic coordinates for output. Note: If your data already are geocentric, you can avoid the conversion by using --ELLIPSOID=sphere.

## SEE ALSO

GMT(1), grdimage(1), grdrotater(1), grdspotter(1), project(1), mapproject(1), backtracker(1), originator(1)

## REFERENCES

Wessel, P., 1999, "Hotspotting" tools released, EOS Trans. AGU, 80 (29), p. 319.